Page MenuHomePhabricator

Missing icon 'menu' in VisualEditor
Closed, ResolvedPublic

Description

With the last versions of MediaWiki + VE (from Git), the 'menu' icon for page options is missing, a blank button is displayed instead (see screenshot).

I’m not sure what modification changed this, but it’s likely related to OOUI (possibly 6618ecb27e) and it can be solved by adding "oojs-ui.styles.icons-layout" as dependency of "ext.visualEditor.mwsave" in VE’s extension.json. Perhaps it should be added elsewhere also next other "oojs-ui.styles.*".

Event Timeline

Seb35 created this task.Nov 4 2018, 5:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2018, 5:35 PM
Seb35 triaged this task as High priority.Nov 4 2018, 5:36 PM

Raising to priority 'High' given it is quite visible in the interface.

Change 471557 had a related patch set uploaded (by Seb35; owner: Seb35):
[mediawiki/extensions/VisualEditor@master] Missing dependency resulting in a missing icon

https://gerrit.wikimedia.org/r/471557

Esanders added a subscriber: Esanders.EditedNov 5 2018, 7:53 PM

This has not been an issue on WMF wikis as the TemplateData extension is loading this module for us. Filed T208765 as a follow-up.

Esanders lowered the priority of this task from High to Medium.Nov 5 2018, 7:55 PM
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 471557 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Missing dependency resulting in a missing icon

https://gerrit.wikimedia.org/r/471557

Change 471868 had a related patch set uploaded (by Jforrester; owner: Seb35):
[mediawiki/extensions/VisualEditor@REL1_32] Missing dependency resulting in a missing icon

https://gerrit.wikimedia.org/r/471868

Change 471869 had a related patch set uploaded (by Jforrester; owner: Seb35):
[mediawiki/extensions/VisualEditor@REL1_31] Missing dependency resulting in a missing icon

https://gerrit.wikimedia.org/r/471869

Change 471868 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@REL1_32] Missing dependency resulting in a missing icon

https://gerrit.wikimedia.org/r/471868

Change 471869 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@REL1_31] Missing dependency resulting in a missing icon

https://gerrit.wikimedia.org/r/471869

Seb35 closed this task as Resolved.Nov 6 2018, 9:43 PM

Thanks for the merge and cherry picks!